[SCM] debian-live/live-initramfs branch, master, updated. 1.107.1-1-2-gc06a50e

Daniel Baumann daniel at debian.org
Mon Oct 8 20:54:22 UTC 2007


The branch, master has been updated
       via  c06a50e25a647afaf681dbd7ea6ed3eda11202be (commit)
      from  84058ad29057d9b9cfe1eb4d0d4ce7fc6a94d501 (commit)


- Shortlog ------------------------------------------------------------
c06a50e Also using nodiratime, not just noatime.

Summary of changes:
 scripts/live |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)
-----------------------------------------------------------------------
Details of changes:

commit c06a50e25a647afaf681dbd7ea6ed3eda11202be
Author: Daniel Baumann <daniel at debian.org>
Date:   Mon Oct 8 22:53:53 2007 +0200

    Also using nodiratime, not just noatime.

diff --git a/scripts/live b/scripts/live
index b1157c5..ebac3ae 100755
--- a/scripts/live
+++ b/scripts/live
@@ -732,7 +732,7 @@ do_snap_copy ()
 		if [ -n "${fstype}" ]
 		then
 			# Copying stuff...
-			mount -t "${fstype}" -o ro,noatime "${fromdev}" "${tomount}"
+			mount -t "${fstype}" -o ro,noatime,nodiratime "${fromdev}" "${tomount}"
 			cp -a "${tomount}"/* ${todir}
 			umount "${tomount}"
 		else
@@ -908,7 +908,7 @@ setup_unionfs ()
 
 			mkdir -p "${croot}/${imagename}"
 			echo "debug: Can not mount backdev ${backdev} (image = ${image}) on croot/imagename ${croot}/${imagename}"
-			mount -t "${fstype}" -o ro,noatime "${backdev}" "${croot}/${imagename}" || panic "Can not mount ${backdev} (${image}) on ${croot}/${imagename}" && rofsstring="${croot}/${imagename}=${roopt}:${rofsstring}" && rofslist="${croot}/${imagename} ${rofslist}"
+			mount -t "${fstype}" -o ro,noatime,nodiratime "${backdev}" "${croot}/${imagename}" || panic "Can not mount ${backdev} (${image}) on ${croot}/${imagename}" && rofsstring="${croot}/${imagename}=${roopt}:${rofsstring}" && rofslist="${croot}/${imagename} ${rofslist}"
 		fi
 	done
 
@@ -932,9 +932,9 @@ setup_unionfs ()
 		fi
 	fi
 
-	mount ${cowdevice} -t ${cow_fstype} -o rw,noatime /cow || panic "Can not mount ${cowdevice} on /cow"
+	mount ${cowdevice} -t ${cow_fstype} -o rw,noatime,nodiratime /cow || panic "Can not mount ${cowdevice} on /cow"
 
-	mount -t ${UNIONTYPE} -o noatime,dirs=/cow=rw:${rofsstring} ${UNIONTYPE} "${rootmnt}" || panic "${UNIONTYPE} mount failed"
+	mount -t ${UNIONTYPE} -o noatime,nodiratime,dirs=/cow=rw:${rofsstring} ${UNIONTYPE} "${rootmnt}" || panic "${UNIONTYPE} mount failed"
 
 	# Adding other custom mounts
 	if [ -n "${PERSISTENT}" ]
@@ -945,7 +945,7 @@ setup_unionfs ()
 
 		if [ -b "${homecow}" ]
 		then
-			mount -t $(get_fstype "${homecow}") -o rw,noatime "${homecow}" "${rootmnt}/home"
+			mount -t $(get_fstype "${homecow}") -o rw,noatime,nodiratime "${homecow}" "${rootmnt}/home"
 			export HOMEMOUNTED=1 # used to proper calculate free space in do_snap_copy()
 		else
 			[ "${quiet}" != "y" ] && log_warning_msg "Unable to find the persistent home medium"
@@ -999,7 +999,7 @@ check_dev ()
 
 	if is_supported_fs ${fstype}
 	then
-		mount -t ${fstype} -o ro,noatime "${devname}" ${mountpoint} || continue
+		mount -t ${fstype} -o ro,noatime,nodiratime "${devname}" ${mountpoint} || continue
 
 		if is_live_path ${mountpoint}
 		then

-- 
debian-live/live-initramfs



More information about the debian-live-changes mailing list